<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>وبگو | حاشیه و نمایش محتوا در css</title>
<!-- http://webgoo.ir -->
<style type="text/css">
body{
    font-family:Tahoma, Geneva, sans-serif;
    font-size:12px;
    direction:rtl;
    margin:0px;
    padding:0px;
    background-color:#333;
    color:#CCC;
}
.main-block{
    display:block;
    color:#666;
    background-color:#CCC;
    height:400px;
    width:400px;
    margin-top:100px;
    margin-right:auto;
    margin-left:auto;
    margin-bottom:10px;
    padding:8px;
}
</style>
</head>
<body>
<div class="main-block">
بر عکس ویژگی margin که فاصله دو بلاک یا دو لایه را در صفحات وب تعیین می کند، ویژگی padding میزان فاصله و حاشیه ی محتوای درون یک بلاک را مشخص می کند.
</div>
<hr />
با تنظیم مقادیر margin-right و margin-left به صورت auto، بلاک div در وسط صفحه تنظیم می شود.
</body>
</html>